class Subject < ApplicationRecord
    has_many :courses
    has_many :semesters, through: :courses
    
    def self.get_subjects_page(page)
        Subject.all.order(name: :asc).paginate(page: page, per_page: 1)
    end
end
