class CreateCourses < ActiveRecord::Migration[7.0]
  def change
    create_table :courses do |t|
      t.references :subject, null: false, foreign_key: true
      t.references :semester, null: false, foreign_key: true
      t.integer :t, limit: 1
      t.datetime :date1
      t.datetime :date2
      t.string :location1
      t.string :location2
      t.integer :limit, limit: 3

      t.timestamps
    end
  end
end
