require "application_system_test_case"

class CoursesTest < ApplicationSystemTestCase
  setup do
    @course = courses(:one)
  end

  test "visiting the index" do
    visit courses_url
    assert_selector "h1", text: "Courses"
  end

  test "should create course" do
    visit courses_url
    click_on "New course"

    fill_in "Date1", with: @course.date1
    fill_in "Date2", with: @course.date2
    fill_in "Limit", with: @course.limit
    fill_in "Location1", with: @course.location1
    fill_in "Location2", with: @course.location2
    fill_in "Semester", with: @course.semester_id
    fill_in "Subject", with: @course.subject_id
    fill_in "T", with: @course.t
    click_on "Create Course"

    assert_text "Course was successfully created"
    click_on "Back"
  end

  test "should update Course" do
    visit course_url(@course)
    click_on "Edit this course", match: :first

    fill_in "Date1", with: @course.date1
    fill_in "Date2", with: @course.date2
    fill_in "Limit", with: @course.limit
    fill_in "Location1", with: @course.location1
    fill_in "Location2", with: @course.location2
    fill_in "Semester", with: @course.semester_id
    fill_in "Subject", with: @course.subject_id
    fill_in "T", with: @course.t
    click_on "Update Course"

    assert_text "Course was successfully updated"
    click_on "Back"
  end

  test "should destroy Course" do
    visit course_url(@course)
    click_on "Destroy this course", match: :first

    assert_text "Course was successfully destroyed"
  end
end
