class SessionsController < ApplicationController
  def create
    @user = User.authenticate(params[:pluto], params[:password])
    if @user
        session[:user] = @user.id
        redirect_to hello_path
    else
        flash[:notice] = 'Invalid Pluto code or password'
        redirect_to login_path
    end
  end

  def destroy
    reset_session
    flash[:notice] = 'Logged out successfully'
    redirect_to hogyhivjuk_path
  end
end
