require "test_helper"

class SessionsControllerTest < ActionDispatch::IntegrationTest
  test "laod login page" do
    get hogyhivjuk_path
    assert_response :success
    assert_select 'legend', "Login"
    assert_nil session[:user]
  end

  test "login" do
    get hogyhivjuk_path
    assert_response :success
    assert_select 'legend', "Login"
    assert_nil session[:user]

    post login_path, params: { pluto: users(:valaki).pluto, password: 'titok' }
    assert_response :redirect
    follow_redirect!
    assert_select 'a', 'Logout'
    assert_not_nil session[:user]
  end
  
  test "logout" do
    get hogyhivjuk_path
    assert_response :success
    assert_select 'legend', "Login"
    assert_nil session[:user]

    post login_path, params: { pluto: users(:valaki).pluto, password: 'titok' }
    assert_response :redirect
    follow_redirect!
    assert_select 'a', 'Logout'
    assert_not_nil session[:user]

    get logout_path
    follow_redirect!
    assert_nil session[:user]
    assert_select 'legend', "Login"
  end
end
